{include="header"}

{if="$fsc->factura"}
<script type="text/javascript" src="{$fsc->get_js_location('ac_email_cliente.js')}"></script>
<script type="text/javascript" src="{$fsc->get_js_location('provincias.js')}"></script>
<script type="text/javascript" src="{$fsc->get_js_location('nueva_venta.js')}"></script>
<!--{$lineas=$fsc->factura->get_lineas()}-->
<script type="text/javascript">
   {if="$fsc->cliente"}
   all_direcciones = {function="json_encode($fsc->cliente->get_direcciones())"};
   {/if}
   
   function enviar_email(url)
   {
      document.f_enviar_email.action = url;
      document.f_enviar_email.submit();
   }
   $(document).ready(function () {
      $("#b_imprimir").click(function (event) {
         event.preventDefault();
         $("#modal_imprimir").modal('show');
      });
      $("#b_enviar").click(function (event) {
         event.preventDefault();
         $("#modal_enviar").modal('show');
         document.f_enviar_email.email.focus();
      });
      $("#b_eliminar").click(function (event) {
         event.preventDefault();
         $("#modal_eliminar").modal('show');
      });

      {if="$fsc->factura->netosindto==$fsc->factura->neto"}
      $('.dtost').hide();
      {/if}
      {if="$fsc->factura->totalrecargo==0"}
      $(".recargo").hide();
      {/if}
      {if="$fsc->factura->totalirpf==0"}
      $(".irpf").hide();
      {/if}
   });
</script>

<form action="{$fsc->factura->url()}" wey method="post" class="form">
   <input type="hidden" name="idfactura" value="{$fsc->factura->idfactura}"/>
   <div class="container-fluid">
      <div class="row">
         <div class="col-xs-8">
            <a class="btn btn-sm btn-default hidden-xs" href="{$fsc->url()}" title="recargar la página">
               <span class="glyphicon glyphicon-refresh"></span>
            </a>
            <div class="btn-group">
               <a id="b_imprimir" class="btn btn-sm btn-default" href="#">
                  <span class="glyphicon glyphicon-print"></span>
                  <span class="hidden-xs">&nbsp;Imprimir</span>
               </a>
               <a id="b_enviar" class="btn btn-sm btn-default" href="#">
                  <span class="glyphicon glyphicon-envelope"></span>
                  {if="$fsc->factura->femail"}
                  <span class="hidden-xs">&nbsp;Reenviar</span>
                  {else}
                  <span class="hidden-xs">&nbsp;Enviar</span>
                  {/if}
               </a>
               {if="$fsc->factura->idasiento"}
               <div class="btn-group">
                  <button class="btn btn-sm btn-default dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true">
                     <span class="glyphicon glyphicon-eye-open"></span>
                     <span class="hidden-xs">&nbsp;Asientos</span>
                  </button>
                  <ul class="dropdown-menu">
                     <li><a href="{$fsc->factura->asiento_url()}">Asiento principal</a></li>
                     {if="$fsc->factura->idasientop"}
                     <li><a href="{$fsc->factura->asiento_pago_url()}">Asiento de pago</a></li>
                     {/if}
                  </ul>
               </div>
               {else}
               <a class="btn btn-sm btn-default" href="{$fsc->url()}&gen_asiento=TRUE&petid={$fsc->random_string()}">
                  <span class="glyphicon glyphicon-paperclip"></span>
                  <span class="hidden-xs">&nbsp;Generar asiento</span>
               </a>
               {/if}
            </div>
            
            {if="$fsc->mostrar_boton_pagada"}
            <div class="btn-group">
               {if="$fsc->factura->pagada"}
               <button type="button" class="btn btn-sm btn-info dropdown-toggle" data-toggle="dropdown">
                  <span class="glyphicon glyphicon-ok"></span> &nbsp; Pagada <span class="caret"></span>
               </button>
               {else}
               <button type="button" class="btn btn-sm btn-warning dropdown-toggle" data-toggle="dropdown">
                  <span class="glyphicon glyphicon-remove"></span> &nbsp; Sin pagar <span class="caret"></span>
               </button>
               {/if}
               <ul class="dropdown-menu" role="menu">
                  {if="!$fsc->factura->pagada"}
                  <li>
                     <a href="#" data-toggle="modal" data-target="#modal_pagar">
                        <span class="glyphicon glyphicon-ok"></span> &nbsp; Pagada
                     </a>
                  </li>
                  {else}
                  <li><a href="{$fsc->url()}&pagada=FALSE"><span class="glyphicon glyphicon-remove"></span> &nbsp; Sin pagar</a></li>
                  {/if}
                  <li role="separator" class="divider"></li>
                  <li>
                     <a href="{$fsc->forma_pago->url()}" target="_blank">
                        <span class="glyphicon glyphicon-wrench"></span> &nbsp; Configurar
                     </a>
                  </li>
               </ul>
            </div>
            {elseif="$fsc->factura->pagada"}
            <a class="btn btn-sm btn-info" href="#">
               <span class="glyphicon glyphicon-ok"></span>
               <span class="hidden-xs">&nbsp;Pagada</span>
            </a>
            {/if}
            
            <div class="btn-group">
            {loop="$fsc->extensions"}
               {if="$value->type=='button'"}
               <a href="index.php?page={$value->from}&id={$fsc->factura->idfactura}{$value->params}" class="btn btn-sm btn-default">{$value->text}</a>
               {elseif="$value->type=='modal'"}
               <!--{$txt=base64_encode($value->text)}-->
               <!--{$url='index.php?page='.$value->from.'&id='.$fsc->factura->idfactura.$value->params}-->
               <a href="#" class="btn btn-sm btn-default" onclick="fs_modal('{$txt}','{$url}')">{$value->text}</a>
               {elseif="$value->type=='btn_javascript'"}
               <button class="btn btn-sm btn-default" type="button" onclick="{$value->params}">
                   <span class="glyphicon glyphicon-exclamation-sign"></span>&nbsp; {$value->text}
               </button>
               {/if}
            {/loop}
            </div>
         </div>
         <div class="col-xs-4 text-right">
            <a class="btn btn-sm btn-success" href="index.php?page=nueva_venta&tipo=factura" title="Nueva factura">
               <span class="glyphicon glyphicon-plus"></span>
            </a>
            <div class="btn-group">
               {if="$fsc->allow_delete"}
               <!-- <a id="b_eliminar" class="btn btn-sm btn-danger" href="#">
                  <span class="glyphicon glyphicon-trash"></span>
                  <span class="hidden-sm hidden-xs">&nbsp;Eliminar</span>
               </a> -->
               <!-- code -->
               {/if}
               <button class="btn btn-sm btn-primary" type="button" onclick="this.disabled = true;this.form.submit();">
                  <span class="glyphicon glyphicon-floppy-disk"></span>
                  <span class="hidden-xs">&nbsp;Guardar</span>
               </button>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-12">
            <br/>
            <ol class="breadcrumb" style="margin-bottom: 5px;">
               <li><a href="{$fsc->ppage->url()}">Ventas</a></li>
               <li><a href="{$fsc->ppage->url()}" class="text-capitalize">{#FS_FACTURAS#}</a></li>
               <li><a href="#" title="almacén: {$fsc->factura->codalmacen}">{$fsc->factura->codalmacen}</a></li>
               <li title="{#FS_SERIE#}: {$fsc->factura->codserie}">
                  {loop="$fsc->serie->all()"}
                     {if="$value->codserie==$fsc->factura->codserie"}
                     <a href="{$fsc->ppage->url()}&codserie={$value->codserie}" class="text-capitalize">{$value->descripcion}</a>
                     {/if}
                  {/loop}
               </li>
               <li title="cliente: {$fsc->factura->codcliente}">
                  {if="$fsc->cliente"}
                     <a href="{$fsc->cliente->url()}">{$fsc->factura->nombrecliente}</a>
                  {else}
                     ???
                  {/if}
               </li>
               {if="$fsc->cliente"}
                  {if="$fsc->cliente->nombre!=$fsc->factura->nombrecliente"}
                  <li>
                     <a href="#" onclick="bootbox.alert({message: 'Cliente conocido como: {$fsc->cliente->nombre}',title: '<b>Atención</b>'});">
                        <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
                     </a>
                  </li>
                  {/if}
               {/if}
               <li class="active"><b>{$fsc->factura->codigo}</b></li>
            </ol>
            <p>
               {if="$fsc->agente"}
               {#FS_FACTURA#} creada por <a href="{$fsc->agente->url()}">{$fsc->agente->get_fullname()}</a>.
               {else}
               Sin datos de qué empleado ha creado esta {#FS_FACTURA#}.
               {/if}
               &nbsp;
               {if="$fsc->rectificada"}
               <a href="{$fsc->rectificada->url()}" class="label label-danger">
                  <span class="glyphicon glyphicon-flag" aria-hidden="true"></span>
                  &nbsp; {#FS_FACTURA_RECTIFICATIVA#} de {$fsc->factura->codigorect}
               </a>
               {elseif="$fsc->rectificativa"}
               <a href="{$fsc->rectificativa->url()}" class="label label-warning">
                  Hay una {#FS_FACTURA_RECTIFICATIVA#} asociada
               </a>
               {elseif="$fsc->factura->anulada"}
               <span class="label label-danger">Anulada</span>
               {/if}
            </p>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-2">
            <div class="form-group">
               <span class='text-capitalize'>{#FS_NUMERO2#}:</span>
               <input class="form-control" type="text" name="numero2" value="{$fsc->factura->numero2}"/>
            </div>
         </div>
         <div class="col-sm-2" style="display:none">
            <div class="form-group">
               <a href="{$fsc->serie->url()}" class="text-capitalize">{#FS_SERIE#}</a>:
               <select name="serie" class="form-control" disabled="">
               {loop="$fsc->serie->all()"}
                  {if="$value->codserie==$fsc->factura->codserie"}
                  <option value="{$value->codserie}" selected="">{$value->descripcion}</option>
                  {else}
                  <option value="{$value->codserie}">{$value->descripcion}</option>
                  {/if}
               {/loop}
               </select>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               Fecha:
               <input class="form-control " readonly type="text" name="fecha" value="{$fsc->factura->fecha}" autocomplete="off"/>
               <!-- <input class="form-control datepicker" type="text" name="fecha" value="{$fsc->factura->fecha}" autocomplete="off"/> -->
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               Hora:
               <input class="form-control" readonly type="text" name="hora" value="{$fsc->factura->hora}" autocomplete="off"/>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               <a href="{$fsc->forma_pago->url()}">Forma de pago</a>:
               <select name="forma_pago" class="form-control" onchange="this.form.submit()">
               {loop="$fsc->forma_pago->all()"}
                  {if="$fsc->factura->codpago==$value->codpago"}
                  <option value="{$value->codpago}" selected="">{$value->descripcion}</option>
                  {else}
                  <option value="{$value->codpago}">{$value->descripcion}</option>
                  {/if}
               {/loop}
               </select>
            </div>
         </div>
         <div class="col-sm-2">
            <div class='form-group{if="$fsc->factura->vencida()"} has-warning{/if}'>
               Vencimiento:
               {if="$fsc->factura->pagada || !$fsc->mostrar_boton_pagada"}
               <input type="text" name="vencimiento" value="{$fsc->factura->vencimiento}" class="form-control" readonly=""/>
               {else}
               <input type="text" name="vencimiento" value="{$fsc->factura->vencimiento}" class="form-control datepicker" autocomplete="off"/>
               {/if}
            </div>
         </div>
      </div>
   </div>
   
   <!--{$lineas=$fsc->factura->get_lineas()}-->
   <div role="tabpanel">
      <ul class="nav nav-tabs" role="tablist">
         <li role="presentation" class="active">
            <a href="#lineas_f" aria-controls="lineas_f" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-list" aria-hidden="true"></span>
               <span class="hidden-xs">&nbsp;Líneas</span>
               <span class='badge'>{function="count($lineas)"}</span>
            </a>
         </li>
         <li role="presentation">
            <a href="#detalles" aria-controls="detalles" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
               <span class="hidden-xs">&nbsp;Detalles</span>
            </a>
         </li>
         <li role="presentation">
            <a href="#envio" aria-controls="envio" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-road" aria-hidden="true"></span>
               <span class="hidden-xs">&nbsp;Envío</span>
            </a>
         </li>
         {loop="$fsc->extensions"}
            {if="$value->type=='tab'"}
            <li role="presentation">
               <a href="#ext_{$value->name}" aria-controls="ext_{$value->name}" role="tab" data-toggle="tab">{$value->text}</a>
            </li>
            {/if}
         {/loop}
      </ul>
      <div class="tab-content">
         <div role="tabpanel" class="tab-pane active" id="lineas_f">
             {include="block/ventas_factura_lineas"}
         </div>
         <div role="tabpanel" class="tab-pane" id="detalles">
            <div class="container-fluid" style="margin-top: 10px;">
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        Nombre del cliente:
                        <input class="form-control" type="text" name="nombrecliente" value="{$fsc->factura->nombrecliente}" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        {#FS_CIFNIF#}:
                        <input class="form-control" type="text" name="cifnif" value="{$fsc->factura->cifnif}" maxlength="30" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        <a href="{$fsc->almacen->url()}">Almacén</a>:
                        <select name="almacen" class="form-control" disabled="">
                        {loop="$fsc->almacen->all()"}
                           {if="$value->codalmacen==$fsc->factura->codalmacen"}
                           <option value="{$value->codalmacen}" selected="">{$value->nombre}</option>
                           {else}
                           <option value="{$value->codalmacen}">{$value->nombre}</option>
                           {/if}
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        <a href="{$fsc->divisa->url()}">Divisa</a>:
                        <select name="divisa" class="form-control" disabled="">
                        {loop="$fsc->divisa->all()"}
                           {if="$value->coddivisa==$fsc->factura->coddivisa"}
                           <option value="{$value->coddivisa}" selected="">{$value->descripcion}</option>
                           {else}
                           <option value="{$value->coddivisa}">{$value->descripcion}</option>
                           {/if}
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        Tasa de conversión (1€ = X)
                        <input type="text" name="tasaconv" value="{$fsc->factura->tasaconv}" class="form-control" readonly=""/>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <h3>
                        <span class="glyphicon glyphicon-road" aria-hidden="true"></span>
                        &nbsp;Dirección de facturación:
                     </h3>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        Direcciones del cliente:
                        <div class="input-group">
                           <span class="input-group-addon">
                              <span class="glyphicon glyphicon-th-list" aria-hidden="true"></span>
                           </span>
                           <select name="coddir" class="form-control" onchange="usar_direccion();">
                           {if="$fsc->cliente"}
                              {loop="$fsc->cliente->get_direcciones()"}
                                 {if="$value->id==$fsc->factura->coddir"}
                                 <option value="{$value->id}" selected="">{$value->descripcion}</option>
                                 {elseif="$value->direccion==$fsc->factura->direccion"}
                                 <option value="{$value->id}" selected="">{$value->descripcion}</option>
                                 {else}
                                 <option value="{$value->id}">{$value->descripcion}</option>
                                 {/if}
                              {/loop}
                           {/if}
                           </select>
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        <a href="{$fsc->pais->url()}">País</a>:
                        <select class="form-control" name="codpais">
                        {loop="$fsc->pais->all()"}
                           {if="$value->codpais==$fsc->factura->codpais"}
                           <option value="{$value->codpais}" selected="">{$value->nombre}</option>
                           {else}
                           <option value="{$value->codpais}">{$value->nombre}</option>
                           {/if}
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        <span class="text-capitalize">{#FS_PROVINCIA#}</span>:
                        <input id="ac_provincia" class="form-control" type="text" name="provincia" value="{$fsc->factura->provincia}"/>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        Ciudad:
                        <input class="form-control" type="text" name="ciudad" value="{$fsc->factura->ciudad}"/>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        Código Postal:
                        <input class="form-control" type="text" name="codpostal" value="{$fsc->factura->codpostal}" maxlength="10" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-6">
                     <div class="form-group">
                        Dirección:
                        <input class="form-control" type="text" name="direccion" value="{$fsc->factura->direccion}" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        <span class="text-capitalize">{#FS_APARTADO#}</span>:
                        <input class="form-control" type="text" name="apartado" value="{$fsc->factura->apartado}" maxlength="10" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-12">
                     <a href="{$fsc->url()}&updatedir=TRUE" class="btn btn-xs btn-default">
                        <span class="glyphicon glyphicon-refresh"></span> &nbsp;
                        Actualizar la dirección de la factura usando los datos del cliente
                     </a>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <h3>
                        <span class="glyphicon glyphicon-credit-card" aria-hidden="true"></span>
                        &nbsp;Cuentas bancarias del cliente:
                     </h3>
                     <p class="help-block">
                        <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
                        Recuerda que para que aparezca la cuenta bancaria principal del cliente
                        en la factura debes seleccionar una forma de pago <b>domiciliada</b>.
                     </p>
                     <div class="table-responsive">
                        <table class="table table-hover">
                           <thead>
                              <tr>
                                 <th width="30"></th>
                                 <th>Codcuenta + Descripción</th>
                                 <th>IBAN</th>
                                 <th>SWIFT/BIC</th>
                              </tr>
                           </thead>
                           {loop="$fsc->get_cuentas_bancarias()"}
                           <tr class="clickableRow" href="{$value->url()}">
                              <td class="text-right">
                                 {if="$value->principal"}
                                 <span class="glyphicon glyphicon-flag" aria-hidden="true" title="Cuenta principal"></span>
                                 {/if}
                              </td>
                              <td>
                                 <a href="{$value->url()}">{$value->codcuenta}</a>
                                 {$value->descripcion}
                              </td>
                              <td>{$value->iban}</td>
                              <td>{$value->swift}</td>
                           </tr>
                           {else}
                           <tr class="warning">
                              <td></td>
                              <td colspan="3">
                                 Este cliente no tiene ninguna cuenta bancaria asignada.
                                 {if="$fsc->cliente"}
                                 <a href="{$fsc->cliente->url()}#cuentasb">Nueva cuenta bancaria</a>.
                                 {/if}
                              </td>
                           </tr>
                           {/loop}
                        </table>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <h3>
                        <span class="glyphicon glyphicon-user" aria-hidden="true"></span>
                        &nbsp;Empleado:
                     </h3>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        <select name="codagente" class="form-control">
                           <option value="">Ninguno</option>
                           <option value="">---</option>
                           {loop="$fsc->agentes"}
                              {if="$value->codagente==$fsc->factura->codagente"}
                              <option value="{$value->codagente}" selected="">{$value->get_fullname()}</option>
                              {else}
                              <option value="{$value->codagente}">{$value->get_fullname()}</option>
                              {/if}
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        <div class="input-group">
                           <input type="number" name="porcomision" value="{$fsc->factura->porcomision}" class="form-control"/>
                           <span class="input-group-addon">% comisión</span>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <h3>
                        <span class="glyphicon glyphicon-book" aria-hidden="true"></span>
                        &nbsp;Desglose de impuestos:
                     </h3>
                     <div class="table-responsive">
                        <table class="table table-hover">
                           <thead>
                              <tr>
                                 <th class="text-left">Impuesto</th>
                                 <th class="text-right">Neto</th>
                                 <th class="text-right">{#FS_IVA#}</th>
                                 <th class="text-right">Total {#FS_IVA#}</th>
                                 <th class="text-right">RE</th>
                                 <th class="text-right">Total RE</th>
                                 <th class="text-right">Total</th>
                              </tr>
                           </thead>
                           {loop="$fsc->factura->get_lineas_iva()"}
                           <tr>
                              <td>{$value->codimpuesto}</td>
                              <td class="text-right">{$fsc->show_precio($value->neto, $fsc->factura->coddivisa)}</td>
                              <td class="text-right">{$fsc->show_numero($value->iva, 2)} %</td>
                              <td class="text-right">{$fsc->show_precio($value->totaliva, $fsc->factura->coddivisa)}</td>
                              <td class="text-right">{$fsc->show_numero($value->recargo, 2)} %</td>
                              <td class="text-right">{$fsc->show_precio($value->totalrecargo, $fsc->factura->coddivisa)}</td>
                              <td class="text-right">{$fsc->show_precio($value->totallinea, $fsc->factura->coddivisa)}</td>
                           </tr>
                           {/loop}
                        </table>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div role="tabpanel" class="tab-pane" id="envio">
            <div class="container-fluid" style="margin-top: 10px;">
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        Nombre:
                        <input type="text" name="envio_nombre" value="{$fsc->factura->envio_nombre}" class="form-control" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        Apellidos:
                        <input type="text" name="envio_apellidos" value="{$fsc->factura->envio_apellidos}" class="form-control" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        <a href="{$fsc->agencia->url()}">Agencia</a>:
                        <select name="envio_codtrans" class="form-control">
                           <option value="">Ninguna</option>
                           <option value="">------</option>
                           {loop="$fsc->agencia->all()"}
                              {if="$fsc->factura->envio_codtrans==$value->codtrans"}
                              <option value="{$value->codtrans}" selected="">{$value->nombre}</option>
                              {else}
                              <option value="{$value->codtrans}">{$value->nombre}</option>
                              {/if}
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-4">
                     <div class="form-group">
                        Código de seguimiento:
                        <input type="text" name="envio_codigo" value="{$fsc->factura->envio_codigo}" class="form-control" autocomplete="off"/>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        Direcciones del cliente:
                        <div class="input-group">
                           <span class="input-group-addon">
                              <span class="glyphicon glyphicon-th-list" aria-hidden="true"></span>
                           </span>
                           <select name="envio_coddir" class="form-control" onchange="usar_direccion_envio();">
                              <option value="">Ninguna</option>
                              <option value="">------</option>
                              {if="$fsc->cliente"}
                                 {loop="$fsc->cliente->get_direcciones()"}
                                    {if="$value->direccion==$fsc->factura->envio_direccion"}
                                    <option value="{$value->id}" selected="">{$value->descripcion}</option>
                                    {else}
                                    <option value="{$value->id}">{$value->descripcion}</option>
                                    {/if}
                                 {/loop}
                              {/if}
                           </select>
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        <a href="{$fsc->pais->url()}">País</a>:
                        <select class="form-control" name="envio_codpais">
                        {loop="$fsc->pais->all()"}
                           {if="$value->codpais==$fsc->factura->envio_codpais"}
                           <option value="{$value->codpais}" selected="">{$value->nombre}</option>
                           {else}
                           <option value="{$value->codpais}">{$value->nombre}</option>
                           {/if}
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        <span class="text-capitalize">{#FS_PROVINCIA#}</span>:
                        <input type="text" name="envio_provincia" value="{$fsc->factura->envio_provincia}" id="ac_provincia2" class="form-control" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        Ciudad:
                        <input type="text" name="envio_ciudad" value="{$fsc->factura->envio_ciudad}" class="form-control" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        Código Postal:
                        <input type="text" name="envio_codpostal" value="{$fsc->factura->envio_codpostal}" class="form-control" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-6">
                     <div class="form-group">
                        Dirección:
                        <input type="text" name="envio_direccion" value="{$fsc->factura->envio_direccion}" class="form-control" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        <span class="text-capitalize">{#FS_APARTADO#}</span>:
                        <input class="form-control" type="text" name="envio_apartado" value="{$fsc->factura->envio_apartado}"/>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         {loop="$fsc->extensions"}
            {if="$value->type=='tab'"}
            <div role="tabpanel" class="tab-pane" id="ext_{$value->name}">
               <iframe src="index.php?page={$value->from}{$value->params}&id={$fsc->factura->idfactura}" width="100%" height="2000" frameborder="0"></iframe>
            </div>
            {/if}
         {/loop}
      </div>
   </div>
</form>

{include="block/ventas_factura_modals"}

{else}
<div class="text-center">
   <img src="{#FS_PATH#}view/img/fuuu_face.png" alt="fuuuuu"/>
</div>
{/if}

{include="footer"}